package com.duowenlvshi.duowenlszp.model.Dialogue.dao;

import com.duowenlvshi.duowenlszp.model.Dialogue.entity.Dialogue;
import org.apache.ibatis.annotations.Param;


import java.util.List;
import java.util.Map;

public interface DialogueMapper {


    int insertSelective(Dialogue record);

    Dialogue selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Dialogue record);

    /*查询用户聊天记录*/
    List<Map> selectByIdAorIdB(@Param("map") Map map);
    /*查询用户聊天列表*/
    List<Map> selectByIdList(@Param("map") Map map);


    Integer selectByIdListCount(@Param("map") Map map);

    Integer selectDialogueCount(String topic);
    Integer selectNewTopic(String topic);

    Integer updateNewTopic(@Param("map") Map map);

    int updateRead(@Param("map") Map map);
}